E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | List of all members
GNet::SocketProtocolImp Class Reference

A pimple-pattern implementation class used by GNet::SocketProtocol. More...

## Classes
struct | Position
| A pointer into the scatter/gather payload of GNet::SocketProtocolImp::send(). More...

## Public Types
typedef std::pair< const char *, size_t > | Segment
typedef std::vector< Segment > | Segments

## Public Member Functions
| SocketProtocolImp (EventHandler &, ExceptionHandler &, SocketProtocol::Sink &, StreamSocket &, unsigned int secure_connection_timeout)
void | readEvent ()
bool | writeEvent ()
void | otherEvent (EventHandler::Reason)
bool | send (const std::string &data, size_t offset)
bool | send (const Segments &)
void | secureConnect ()
void | secureAccept ()
std::string | peerCertificate () const

## Static Public Member Functions
static void | setReadBufferSize (size_t)

## Detailed Description

A pimple-pattern implementation class used by GNet::SocketProtocol.

Definition at line 45 of file gsocketprotocol.cpp.

The documentation for this class was generated from the following file:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/gsocketprotocol.cpp